import { NodeLoad } from '../utils/profiler';
import Log4js from 'log4js';
interface RateLimiting {
    limitRate: boolean;
    loadLimit: NodeLoad;
    seqLogger: Log4js.Logger;
}
declare class RateLimiting {
    constructor(config: any, seqLogger: any);
    calculateThrottlePropotion(load: any, limit: any): number;
    getWinningLoad(nodeLoad: any, queueLoad: any): {
        throttle: number;
        loadType: any;
    };
    isOverloaded(txId: string): boolean;
    configUpdated(): void;
}
export default RateLimiting;
